Bug 240405 - virt-manager occasionally closes graphical console when stopping and starting a domain
virt-manager occasionally closes graphical console when stopping and starting...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Martin Jenner
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 07:18 EDT by Richard W.M. Jones
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 21:03:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-17 07:18:40 EDT
Description of problem:

I have scripts to repeatedly boot up and shut down four FC6 paravirt domains. 
At the same time I'm watching the graphical consoles of the four domains using
virt-manager.  Normally the graphical console for a domain shows through the
full cycle of start-stop-start.  However occasionally (perhaps 1 in 10 reboots)
the graphical console disappears.

One thing I have observed is that at the same time the domain will briefly
disappear from the list of domains shown in virt-manager.  It may be that the 1
second update happens to catch the domain at some critical point in the cycle
where it has "disappeared" as far as either libvirt or xend is concerned.  (The
domain reappears on the list moments later).  This may be causing virt-manager
to close the console.

There is no associated segfault.

(Full methodology described here: http://et.redhat.com/~rjones/xen-stress-tests/)

Version-Release number of selected component (if applicable):

# rpm -qf /usr/bin/virt-manager 
virt-manager-0.4.0-2.fc7
# rpm -qf /usr/lib64/libvirt.so.0.2.2 
libvirt-0.2.2-4.fc7
# rpm -qf /usr/sbin/xend 
xen-3.1.0-0.rc7.5.fc7

(This xen is the same as .1.fc7, but with my patch to fix bug 240009).

How reproducible:



Steps to Reproduce:
1. Set up machine as here: http://et.redhat.com/~rjones/xen-stress-tests/
2. Set up four guests cycling through boot / shutdown cycles.
3. Use virt-manager to display graphical consoles of all 4 guests.
  
Actual results:

Over some number of cycles the graphical consoles will disappear one by one.

Expected results:

Graphical consoles should persist.

Additional info:
Comment 1 Richard W.M. Jones 2007-05-17 07:37:14 EDT
virt-manager does not print any message when this happens.
Comment 2 Red Hat Bugzilla 2007-07-24 22:11:55 EDT
change QA contact
Comment 3 Bug Zapper 2008-04-03 20:44:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Daniel Berrange 2008-04-03 21:03:59 EDT
THis is a very rare race condition which is more or less impossible to solve,
though virt-manager is more robust to this than it was previously, so marking
this WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.